English
Continue in the app
Be The First To Get Support Updates
Want to know about the latest technical content and software updates?

Error: ArcGIS Pro requires Microsoft .NET Desktop Runtime (x64). To download and install Microsoft Windows Desktop Runtime - 6.0.5 (x64) or greater, visit the Microsoft Website or contact your system administrator

Error Message

When updating ArcGIS Pro to version 3.0.0, the following error is returned:

 ArcGIS Pro requires Microsoft .NET Desktop Runtime (x64). To download and install Microsoft Windows Desktop Runtime - 6.0.5 (x64) or greater, visit the Microsoft Website or contact your system administrator

Cause

This version of ArcGIS Pro requires a .NET Desktop Runtime of 6.0.5 (x64) or higher.

Solution or Workaround

Download and install the .NET Desktop Runtime 6.0.5 Windows x64, from Microsoft, as shown in the image below: Download .NET 6.0
dotnetpro3.jfif.jpg

Related Information

Last Published: 8/15/2022

Article ID: 000027925

Software: ArcGIS Pro 3.0.1, 3.0